Agent Runtime

Operations of the LLM Registry API. Paths are relative to your deployment's API host.

GET /api/llm-registry-api/agents/resolve/{ref}

Resolve a stable Agent ref into an exact immutable runtime revision.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
refpathstringyes
projectIdquerystringnoOptional project scope for the owner-resolution ladder.
StatusDescriptionBody
200application/json ResolvedAgentResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/llm-registry-api/agents/revisions/{revisionId}/resolved

Resolve an exact immutable Agent revision.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
revisionIdpathstringyes
projectIdquerystringnoOptional project scope for the owner-resolution ladder.
StatusDescriptionBody
200application/json ResolvedAgentResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/llm-registry-api/agents/{resourceId}/revisions/{revisionId}/authority

Resolve canonical authority facts for one exact immutable Agent pin.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
resourceIdpathstringyes
revisionIdpathstringyes
contentHashquerystring (sha256)yes
projectIdquerystringno
StatusDescriptionBody
200application/json ExactAgentRevisionAuthorityResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/llm-registry-api/authoring/agents/{identityId}/capability-analysis

Analyze capabilities required by the current draft.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
identityIdpathstringyes
projectIdquerystringnoOptional project scope for the owner-resolution ladder.
StatusDescriptionBody
200application/json AgentCapabilityAnalysisDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/llm-registry-api/authoring/agents/{identityId}/resolved-draft

Resolve the current draft for the authoring sandbox.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
identityIdpathstringyes
projectIdquerystringnoOptional project scope for the owner-resolution ladder.
StatusDescriptionBody
200application/json ResolvedAgentResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto